# class Net::IMAP::BodyTypeMessage

`Net::IMAP::BodyTypeMessage` represents MESSAGE/RFC822 body structures of messages.

#### Fields:¶ ↑

envelope

  Returns a Net::IMAP::Envelope giving the envelope structure.

body

  Returns an object giving the body structure.

And `Net::IMAP::BodyTypeMessage` has all methods of `Net::IMAP::BodyTypeText`.

### Public Instance Methods

media_subtype() click to toggle source

Obsolete: use `subtype` instead. Calling this will generate a warning message to `stderr`, then return the value of `subtype`.

    # File lib/net/imap.rb, line 2095
    def media_subtype
      warn("media_subtype is obsolete, use subtype instead.\n", uplevel: 1)
      return subtype
    end

multipart?() click to toggle source

    # File lib/net/imap.rb, line 2088
    def multipart?
      return false
    end